# Copyright (c) 2010 ActiveState Software Inc. All rights reserved.
"""
    pypm.common.supported
    ~~~~~~~~~~~~~~~~~~~~~
    
    Python versions and OS architectures supported by PyPM and the repository
    can be configured here. Additionally, the list of production repositories is
    also listed.
"""

import activestate

__all__ = ['py_versions', 'os_architectures', 'PLATNAME']


PLATNAME = activestate.version_info['platname']

# 
# supported variations:
#   The final repository will have their index generated in accordance with
#   the pyver/osarch combinations listed here. Note: the builder is not all
#   affected by this list; it only relies on the virtualenv (-E) to arrive at
#   the appropriate pyver/osarch automatically.
#

py_versions = (
    "2.6",
    "2.7",
    "3.1",
    "3.2",
)

os_architectures = (
    "win32-x86",
    "win64-x64",
    "linux-x86",
    "linux-x86_64",
    "macosx10.5-i386-x86_64",
)

assert PLATNAME in os_architectures, 'unsupported platname: {0}'.format(PLATNAME)

production_repos = set([
    'free',
    'be',
])
